Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.tree
Class BusinessTree

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      de.jsystems.framework.controls.FPanel
                          de.jsystems.framework.tree.BusinessTree

All Implemented Interfaces:
  Accessible, IActionInterface, IAncestor, IComponent, IContainer, IFocus, IHierarchy, IHierarchyBounds, IInputMethod, IKey, ImageObserver, IMouse, IMouseInput, IMouseMotion, IPropertyChange, ITreeExpansion, ITreeSelection, ITreeWillExpand, IVetoableChange, MenuContainer, Serializable

Direct Known Subclasses:
  DirectoryTree

public class BusinessTree
extends FPanel
implements ITreeExpansion, ITreeSelection, ITreeWillExpand

Anzeige eines Baumes. Der Baum enthält ein Kontextmenue und wird immer in einem ScrollPane dargestellt. Der Baum ist auf SINGLE_TREE_SELEKTION fuer die Knotenauswahl eingestellt. Der Baum arbeitet fuer die Knoten und Blaetter nur mit Objekten vom Typ `TreeItem` und nur mit Models vom Typ `IBusinessTreeModel`.

Bei Benutzung dieses Objektes ist zu beachten, das bei der automatische Listenerregistrierung ueber das Framework alle Actions bei dem intern gehaltenen Tree registriert werden, nicht bei dem Panel. Alle entsprechenden Methoden sind durchgeschleift.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2003
Author:
  Jens Homm JSYSTEMS
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JPanel
`JPanel.AccessibleJPanel`

Nested classes inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Container
``

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`BusinessTree()` Erzeugt einen neuen Baum.
`BusinessTree(IBusinessTreeModel model)` Erzeugt einen neuen Baum.
`BusinessTree(IBusinessTreeModel model, IController controller)` Erzeugt einen neuen Baum.
`BusinessTree(TreeItem root)` Erzeugt einen neuen Baum.

Method Summary
`void` | `addLeaf(String name)` Fügt dem Baum ein neues Blatt hinzu.
`void` | `addLeaf(TreeItem leaf)` Fügt dem Baum einen neuen Knoten hinzu.
`void` | `addLeaf(TreeItem parent, TreeItem leaf)` Fügt dem `parent`-Knoten einen neuen Eintrag hinzu, nämlich`node`.
`void` | `addNode(String name)` Fügt dem Baum einen neuen Knoten hinzu.
`void` | `addNode(TreeItem node)` Fügt dem Baum einen neuen Knoten hinzu.
`void` | `addNode(TreeItem parent, TreeItem node)` Fügt dem `parent`-Knoten einen neuen Eintrag hinzu, nämlich `node`.
`void` | `addTreeExpansionListener(TreeExpansionListener tel)` Fuegt dem Control den uebergebenen Listener als TreeExpansionListener hinzu.
`void` | `addTreeModelListener(TreeModelListener listener)` Fügt der Liste der registrierten Listener einen neuen Listener hinzu.
`void` | `addTreeSelectionListener(TreeSelectionListener tsl)` Fuegt dem Control den uebergebenen Listener als TreeSelectionListener hinzu.
`void` | `addTreeWillExpandListener(TreeWillExpandListener tel)` Fuegt dem Control den uebergebenen Listener als TreeWillExpandListener hinzu.
`String` | `getActionClassForAncestor()` Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein AncestorEvent ausgeloest wurde.
`String` | `getActionClassForComponent()` Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein ComponentEvent ausgeloest wurde.
`String` | `getActionClassForContainer()` Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein ContainerEvent ausgeloest wurde.
`String` | `getActionClassForFocus()` Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein FocusEvent ausgeloest wurde.
`String` | `getActionClassForHierarchy()` Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein HierarchyEvent ausgeloest wurde.
`String` | `getActionClassForHierarchyBounds()` Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein HierarchyEvent ausgeloest wurde.
`String` | `getActionClassForInputMethod()` Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein InputMethodEvent ausgeloest wurde.
`String` | `getActionClassForKey()` Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein KeyEvent ausgeloest wurde.
`String` | `getActionClassForMouse()` Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein MouseEvent ausgeloest wurde.
`String` | `getActionClassForMouseInput()` Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein Mouse- oder MouseMotionEvent ausgeloest wurde.
`String` | `getActionClassForMouseMotion()` Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein MouseMotionEvent ausgeloest wurde.
`String` | `getActionClassForPropertyChange()` Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein PropertyChangeEvent ausgeloest wurde.
`String` | `getActionClassForTreeExpansion()` Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein TreeExpansionEvent ausgeloest wurde.
`String` | `getActionClassForTreeSelection()` Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein TreeSelectionEvent ausgeloest wurde.
`String` | `getActionClassForTreeWillExpand()` Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein TreeWillExpandEvent ausgeloest wurde.
`String` | `getActionClassForVetoableChange()` Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein VetoableChangeEvent ausgeloest wurde.
`IBusinessTreeModel` | `getBusinessTreeModel()` Gibt das aktuelle Model des Baumes zurück.
`TreeItem` | `getSelectedNode()` Gibt den aktuell selektierten Knoten zurück.
`void` | `removeNode(TreeItem node)` Löscht den übergebenen Knoten wieder aus dem Baum.
`void` | `removeTreeExpansionListener(TreeExpansionListener tel)` Entfernt den Listener aus dem Control.
`void` | `removeTreeModelListener(TreeModelListener listener)` Löscht den übergebenen Listener aus der Liste der registrierten Listener.
`void` | `removeTreeSelectionListener(TreeSelectionListener tsl)` Entfernt den Listener aus dem Control.
`void` | `removeTreeWillExpandListener(TreeWillExpandListener tel)` Entfernt den Listener aus dem Control.
`void` | `selectNodeAtPoint(Point p)` Selektiert den Knoten im Baum, der sich an der Position des uebergebenen Punktes befindet.
`void` | `setActionClassForAncestor(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein AncestorEvent ausgeloest wurde.
`void` | `setActionClassForComponent(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein ComponentEvent ausgeloest wurde.
`void` | `setActionClassForContainer(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein ContainerEvent ausgeloest wurde.
`void` | `setActionClassForFocus(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein FocusEvent ausgeloest wurde.
`void` | `setActionClassForHierarchy(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein HierarchyEvent ausgeloest wurde.
`void` | `setActionClassForHierarchyBounds(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein HierarchyEvent ausgeloest wurde.
`void` | `setActionClassForInputMethod(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein InputMethodEvent ausgeloest wurde.
`void` | `setActionClassForKey(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein KeyEvent ausgeloest wurde.
`void` | `setActionClassForMouse(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein MouseEvent ausgeloest wurde.
`void` | `setActionClassForMouseInput(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein Mouse- oder MouseMotionEvent ausgeloest wurde.
`void` | `setActionClassForMouseMotion(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein MouseMotionEvent ausgeloest wurde.
`void` | `setActionClassForPropertyChange(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein PropertyChangeEvent ausgeloest wurde.
`void` | `setActionClassForTreeExpansion(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein TreeExpansionEvent ausgeloest wurde.
`void` | `setActionClassForTreeSelection(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein TreeSelectionEvent ausgeloest wurde.
`void` | `setActionClassForTreeWillExpand(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein TreeWillExpandEvent ausgeloest wurde.
`void` | `setActionClassForVetoableChange(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein VetoableChangeEvent ausgeloest wurde.
`void` | `setBusinessTreeModel(IBusinessTreeModel model)` Setzt das Model für den Baum.
`void` | `setController(IController controller)` Setzt den Controller fuer den Tree.
`void` | `setSelectedNode(TreeItem node)` Markiert den übergebenen Knoten als selektiert.

Methods inherited from class de.jsystems.framework.controls.FPanel
`addMouseInputListener, removeMouseInputListener`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface de.jsystems.framework.common.action.IActionInterface
`isEnabled, setEnabled`

Methods inherited from interface de.jsystems.framework.common.action.swing.IAncestor
`addAncestorListener, removeAncestorListener`

Methods inherited from interface de.jsystems.framework.common.action.beans.IPropertyChange
`addPropertyChangeListener, removePropertyChangeListener`

Methods inherited from interface de.jsystems.framework.common.action.beans.IVetoableChange
`addVetoableChangeListener, removeVetoableChangeListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IContainer
`addContainerListener, removeContainerListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IComponent
`addComponentListener, removeComponentListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IFocus
`addFocusListener, removeFocusListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IHierarchy
`addHierarchyListener, removeHierarchyListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IHierarchyBounds
`addHierarchyBoundsListener, removeHierarchyBoundsListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IInputMethod
`addInputMethodListener, removeInputMethodListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IKey
`addKeyListener, removeKeyListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IMouse
`addMouseListener, removeMouseListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IMouseMotion
`addMouseMotionListener, removeMouseMotionListener`

Constructor Detail

### BusinessTree

    public BusinessTree()

  Erzeugt einen neuen Baum. Dabei wird für den Tree schon ein Model erzeugt. Der Root-Knoten hat dabei den Namen 'root'.

### BusinessTree

    public BusinessTree(TreeItem root)

  Erzeugt einen neuen Baum. Dabei wird für den Tree schon ein Model erzeugt. Der Root-Knoten ist der übergebene Knoten. Dabei darf das uebergebne TreeItem-Objekt nicht NULL sein. Das so erzeugte Model verwaltet nur Objekte die vom gleichen Typ sind wie das hier uebergebene TreeItem.

Parameters:
  `root` - Der Root-Knoten für den Baum.

### BusinessTree

    public BusinessTree(IBusinessTreeModel model)

  Erzeugt einen neuen Baum. Dabei wird das übergebene Model gesetzt. Dieses enthaelt den Aufbau des Baumes.

Parameters:
  `model` - Das Model für den Baum.

### BusinessTree

    public BusinessTree(IBusinessTreeModel model,
                        IController controller)

  Erzeugt einen neuen Baum. Dabei wird das übergebene Model gesetzt. Der uebergebene Controller wird als MouseListener auf dem Baum registriert. Damit kann dann ein KontextMenue auf dem Baum angezeigt werden, sofern im Controller eines vorhanden ist.

Parameters:
  `model` - Das Model für den Baum.
  `controller` - Der Controller für den Baum.

Method Detail

### setController

    public void setController(IController controller)

  Setzt den Controller fuer den Tree.

  Parameters:
    `controller` - Der Controller fuer den Tree.

### setBusinessTreeModel

    public void setBusinessTreeModel(IBusinessTreeModel model)

  Setzt das Model für den Baum. Dieses enthaelt den kompletten Aufbau des Baumes.

  Parameters:
    `model` - Das Model für den Baum.

### getBusinessTreeModel

    public IBusinessTreeModel getBusinessTreeModel()

  Gibt das aktuelle Model des Baumes zurück.

  Returns:
    Das aktuelle Model des Baumes.

### addNode

    public void addNode(String name)
                 throws ItemInstantiateException,
                        NoTreeModelSetException

  Fügt dem Baum einen neuen Knoten hinzu. Dieser Knoten wird hier erzeugt mit dem uebergebenen Namen. Dieser so erzeugte Knoten darf Kindknoten enthalten. Bevor diese Methode aufgerufen wird muß ein Model gesetzt worden sein. Der Knoten wird direkt dem Root-Knoten hinzugefuegt.

  Parameters:
    `name` - Der Name des Knotens.
  Throws:
    `ItemInstantiateException` - wenn beim erzeugen des Items ein Fehler auftritt.
    `NoTreeModelSetException` - wenn diese Methode aufgerufen wird, bevor ein Model gesetzt wurde.

### addNode

    public void addNode(TreeItem node)
                 throws NoTreeModelSetException

  Fügt dem Baum einen neuen Knoten hinzu. Der Knoten wird direkt dem Root-Knoten hinzugefügt. Bevor diese Methode aufgerufen wird muß ein Model gesetzt worden sein.

  Parameters:
    `node` - Der neue Knoten für den Baum.
  Throws:
    `NoTreeModelSetException` - wenn diese Methode aufgerufen wird, bevor ein Model gesetzt wurde.

### addNode

    public void addNode(TreeItem parent,
                        TreeItem node)
                 throws NoTreeModelSetException

  Fügt dem `parent`-Knoten einen neuen Eintrag hinzu, nämlich `node`. Wenn es den Parentknoten im Baum schon gibt, wird diesem `node` hinzugefügt, andernfalls wird der Parentknoten erst unter Root eingefügt und dann der Kindknoten an den Parentknoten gehängt. Falls einer der beiden oder beide Parameter `NULL` sind wird eine `IllegalArgumentException` ausgeloest. Bevor diese Methode aufgerufen wird muß ein Model gesetzt worden sein.

  Parameters:
    `parent` - Der Elternknoten, an dem ein neuer Knoten angehängt werden soll.
    `node` - Der neue Knoten fuer den Elternknoten.
  Throws:
    `NoTreeModelSetException` - wenn diese Methode aufgerufen wird, bevor ein Model gesetzt wurde.

### removeNode

    public void removeNode(TreeItem node)

  Löscht den übergebenen Knoten wieder aus dem Baum. Wenn im Baum noch kein Model gesetzt wurde, passiert hier nichts.

  Parameters:
    `node` - Der aus dem Baum zu löschende Knoten.

### addLeaf

    public void addLeaf(String name)
                 throws ItemInstantiateException,
                        NoTreeModelSetException

  Fügt dem Baum ein neues Blatt hinzu. Dieses Blatt wird hier erzeugt mit dem uebergebenen Namen. Dabei wird der Knoten(das Blatt) direkt unter dem Root-Knoten eingefuegt. Dieser so erzeugte Knoten darf keine Kindknoten enthalten. Bevor diese Methode aufgerufen wird muß ein Model gesetzt worden sein.

  Parameters:
    `name` - Der Name des Knotens.
  Throws:
    `ItemInstantiateException` - wenn beim erzeugen des Items ein Fehler auftritt.
    `NoTreeModelSetException` - wenn diese Methode aufgerufen wird, bevor ein Model gesetzt wurde.

### addLeaf

    public void addLeaf(TreeItem leaf)
                 throws NoTreeModelSetException

  Fügt dem Baum einen neuen Knoten hinzu. Der Knoten wird direkt dem Root-Knoten hinzugefügt. Bevor diese Methode aufgerufen wird muß ein Model gesetzt worden sein.

  Parameters:
    `leaf` - Der neue Knoten für den Baum.
  Throws:
    `NoTreeModelSetException` - wenn diese Methode aufgerufen wird, bevor ein Model gesetzt wurde.

### addLeaf

    public void addLeaf(TreeItem parent,
                        TreeItem leaf)
                 throws NoTreeModelSetException

  Fügt dem `parent`-Knoten einen neuen Eintrag hinzu, nämlich`node`. Wenn es den Parentknoten im Baum schon gibt, wird diesem `node` hinzugefügt, andernfalls wird der Parentknoten erst unter Root eingefügt und dann der Kindknoten an den Parentknoten gehängt. Bevor diese Methode aufgerufen wird muß ein Model gesetzt worden sein. Falls einer der beiden oder beide Parameter `NULL` sind wird eine `IllegalArgumentException` ausgeloest.

  Parameters:
    `parent` - Der Elternknoten, an dem ein neuer Knoten angehängt werden soll.
    `leaf` - Der neue Knoten fuer den Elternknoten.
  Throws:
    `NoTreeModelSetException` - wenn diese Methode aufgerufen wird, bevor ein Model gesetzt wurde.

### addTreeModelListener

    public void addTreeModelListener(TreeModelListener listener)
                              throws NoTreeModelSetException

  Fügt der Liste der registrierten Listener einen neuen Listener hinzu. Bevor diese Methode aufgerufen wird muß ein Model für den Baum gesetzt werden.

  Parameters:
    `listener` - Der hinzuzufügende Listener.
  Throws:
    `NoTreeModelSetException` - wenn diese Methode aufgerufen wird, bevor ein Model gesetzt wurde.

### removeTreeModelListener

    public void removeTreeModelListener(TreeModelListener listener)
                                 throws NoTreeModelSetException

  Löscht den übergebenen Listener aus der Liste der registrierten Listener. Bevor diese Methode aufgerufen wird muß ein Model für den Baum gesetzt werden.

  Parameters:
    `listener` - Der zu löschende Listener.
  Throws:
    `NoTreeModelSetException` - wenn diese Methode aufgerufen wird, bevor ein Model gesetzt wurde.

### setSelectedNode

    public void setSelectedNode(TreeItem node)

  Markiert den übergebenen Knoten als selektiert.

  Parameters:
    `node` - Der Knoten, der im Baum selektiert erscheinen soll.

### getSelectedNode

    public TreeItem getSelectedNode()

  Gibt den aktuell selektierten Knoten zurück. Wenn nichts selektiert ist, wird `null` zurückgegeben.

  Returns:
    Denn aktuell selektierten Knoten oder `null`.

### selectNodeAtPoint

    public void selectNodeAtPoint(Point p)

  Selektiert den Knoten im Baum, der sich an der Position des uebergebenen Punktes befindet. Falls sich hier kein Knoten befindet, so passiert nichts weiter.

  Parameters:
    `p` - Der Punkt an dem ein Knoten selektiert werden soll.

### getActionClassForAncestor

    public String getActionClassForAncestor()

  Description copied from interface: `IAncestor`
  Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein AncestorEvent ausgeloest wurde.

  Specified by:
    `getActionClassForAncestor` in interface `IAncestor`
  Overrides:
    `getActionClassForAncestor` in class `FPanel`

### getActionClassForComponent

    public String getActionClassForComponent()

  Description copied from interface: `IComponent`
  Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein ComponentEvent ausgeloest wurde.

  Specified by:
    `getActionClassForComponent` in interface `IComponent`
  Overrides:
    `getActionClassForComponent` in class `FPanel`

### getActionClassForContainer

    public String getActionClassForContainer()

  Description copied from interface: `IContainer`
  Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein ContainerEvent ausgeloest wurde.

  Specified by:
    `getActionClassForContainer` in interface `IContainer`
  Overrides:
    `getActionClassForContainer` in class `FPanel`

### getActionClassForFocus

    public String getActionClassForFocus()

  Description copied from interface: `IFocus`
  Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein FocusEvent ausgeloest wurde.

  Specified by:
    `getActionClassForFocus` in interface `IFocus`
  Overrides:
    `getActionClassForFocus` in class `FPanel`

### getActionClassForHierarchy

    public String getActionClassForHierarchy()

  Description copied from interface: `IHierarchy`
  Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein HierarchyEvent ausgeloest wurde.

  Specified by:
    `getActionClassForHierarchy` in interface `IHierarchy`
  Overrides:
    `getActionClassForHierarchy` in class `FPanel`

### getActionClassForHierarchyBounds

    public String getActionClassForHierarchyBounds()

  Description copied from interface: `IHierarchyBounds`
  Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein HierarchyEvent ausgeloest wurde.

  Specified by:
    `getActionClassForHierarchyBounds` in interface `IHierarchyBounds`
  Overrides:
    `getActionClassForHierarchyBounds` in class `FPanel`

### getActionClassForInputMethod

    public String getActionClassForInputMethod()

  Description copied from interface: `IInputMethod`
  Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein InputMethodEvent ausgeloest wurde.

  Specified by:
    `getActionClassForInputMethod` in interface `IInputMethod`
  Overrides:
    `getActionClassForInputMethod` in class `FPanel`

### getActionClassForKey

    public String getActionClassForKey()

  Description copied from interface: `IKey`
  Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein KeyEvent ausgeloest wurde.

  Specified by:
    `getActionClassForKey` in interface `IKey`
  Overrides:
    `getActionClassForKey` in class `FPanel`

### getActionClassForMouse

    public String getActionClassForMouse()

  Description copied from interface: `IMouse`
  Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein MouseEvent ausgeloest wurde.

  Specified by:
    `getActionClassForMouse` in interface `IMouse`
  Overrides:
    `getActionClassForMouse` in class `FPanel`

### getActionClassForMouseInput

    public String getActionClassForMouseInput()

  Description copied from interface: `IMouseInput`
  Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein Mouse- oder MouseMotionEvent ausgeloest wurde.

  Specified by:
    `getActionClassForMouseInput` in interface `IMouseInput`
  Overrides:
    `getActionClassForMouseInput` in class `FPanel`

### getActionClassForMouseMotion

    public String getActionClassForMouseMotion()

  Description copied from interface: `IMouseMotion`
  Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein MouseMotionEvent ausgeloest wurde.

  Specified by:
    `getActionClassForMouseMotion` in interface `IMouseMotion`
  Overrides:
    `getActionClassForMouseMotion` in class `FPanel`

### getActionClassForPropertyChange

    public String getActionClassForPropertyChange()

  Description copied from interface: `IPropertyChange`
  Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein PropertyChangeEvent ausgeloest wurde.

  Specified by:
    `getActionClassForPropertyChange` in interface `IPropertyChange`
  Overrides:
    `getActionClassForPropertyChange` in class `FPanel`

### getActionClassForTreeExpansion

    public String getActionClassForTreeExpansion()

  Description copied from interface: `ITreeExpansion`
  Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein TreeExpansionEvent ausgeloest wurde.

  Specified by:
    `getActionClassForTreeExpansion` in interface `ITreeExpansion`
  Returns:
    Der Name der Actionklasse fuer TreeExpansionEvent.

### getActionClassForTreeSelection

    public String getActionClassForTreeSelection()

  Description copied from interface: `ITreeSelection`
  Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein TreeSelectionEvent ausgeloest wurde.

  Specified by:
    `getActionClassForTreeSelection` in interface `ITreeSelection`
  Returns:
    Der Name der Actionklasse fuer TreeSelectionEvent.

### getActionClassForTreeWillExpand

    public String getActionClassForTreeWillExpand()

  Description copied from interface: `ITreeWillExpand`
  Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein TreeWillExpandEvent ausgeloest wurde.

  Specified by:
    `getActionClassForTreeWillExpand` in interface `ITreeWillExpand`
  Returns:
    Der Name der Actionklasse fuer TreeWillExpandEvent.

### getActionClassForVetoableChange

    public String getActionClassForVetoableChange()

  Description copied from interface: `IVetoableChange`
  Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein VetoableChangeEvent ausgeloest wurde.

  Specified by:
    `getActionClassForVetoableChange` in interface `IVetoableChange`
  Overrides:
    `getActionClassForVetoableChange` in class `FPanel`

### setActionClassForAncestor

    public void setActionClassForAncestor(String actionClassName)

  Description copied from interface: `IAncestor`
  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein AncestorEvent ausgeloest wurde.

  Specified by:
    `setActionClassForAncestor` in interface `IAncestor`
  Overrides:
    `setActionClassForAncestor` in class `FPanel`

### setActionClassForComponent

    public void setActionClassForComponent(String actionClassName)

  Description copied from interface: `IComponent`
  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein ComponentEvent ausgeloest wurde.

  Specified by:
    `setActionClassForComponent` in interface `IComponent`
  Overrides:
    `setActionClassForComponent` in class `FPanel`

### setActionClassForContainer

    public void setActionClassForContainer(String actionClassName)

  Description copied from interface: `IContainer`
  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein ContainerEvent ausgeloest wurde.

  Specified by:
    `setActionClassForContainer` in interface `IContainer`
  Overrides:
    `setActionClassForContainer` in class `FPanel`

### setActionClassForFocus

    public void setActionClassForFocus(String actionClassName)

  Description copied from interface: `IFocus`
  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein FocusEvent ausgeloest wurde.

  Specified by:
    `setActionClassForFocus` in interface `IFocus`
  Overrides:
    `setActionClassForFocus` in class `FPanel`

### setActionClassForHierarchy

    public void setActionClassForHierarchy(String actionClassName)

  Description copied from interface: `IHierarchy`
  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein HierarchyEvent ausgeloest wurde.

  Specified by:
    `setActionClassForHierarchy` in interface `IHierarchy`
  Overrides:
    `setActionClassForHierarchy` in class `FPanel`

### setActionClassForHierarchyBounds

    public void setActionClassForHierarchyBounds(String actionClassName)

  Description copied from interface: `IHierarchyBounds`
  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein HierarchyEvent ausgeloest wurde.

  Specified by:
    `setActionClassForHierarchyBounds` in interface `IHierarchyBounds`
  Overrides:
    `setActionClassForHierarchyBounds` in class `FPanel`

### setActionClassForInputMethod

    public void setActionClassForInputMethod(String actionClassName)

  Description copied from interface: `IInputMethod`
  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein InputMethodEvent ausgeloest wurde.

  Specified by:
    `setActionClassForInputMethod` in interface `IInputMethod`
  Overrides:
    `setActionClassForInputMethod` in class `FPanel`

### setActionClassForKey

    public void setActionClassForKey(String actionClassName)

  Description copied from interface: `IKey`
  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein KeyEvent ausgeloest wurde.

  Specified by:
    `setActionClassForKey` in interface `IKey`
  Overrides:
    `setActionClassForKey` in class `FPanel`

### setActionClassForMouse

    public void setActionClassForMouse(String actionClassName)

  Description copied from interface: `IMouse`
  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein MouseEvent ausgeloest wurde.

  Specified by:
    `setActionClassForMouse` in interface `IMouse`
  Overrides:
    `setActionClassForMouse` in class `FPanel`

### setActionClassForMouseInput

    public void setActionClassForMouseInput(String actionClassName)

  Description copied from interface: `IMouseInput`
  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein Mouse- oder MouseMotionEvent ausgeloest wurde.

  Specified by:
    `setActionClassForMouseInput` in interface `IMouseInput`
  Overrides:
    `setActionClassForMouseInput` in class `FPanel`

### setActionClassForMouseMotion

    public void setActionClassForMouseMotion(String actionClassName)

  Description copied from interface: `IMouseMotion`
  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein MouseMotionEvent ausgeloest wurde.

  Specified by:
    `setActionClassForMouseMotion` in interface `IMouseMotion`
  Overrides:
    `setActionClassForMouseMotion` in class `FPanel`

### setActionClassForPropertyChange

    public void setActionClassForPropertyChange(String actionClassName)

  Description copied from interface: `IPropertyChange`
  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein PropertyChangeEvent ausgeloest wurde.

  Specified by:
    `setActionClassForPropertyChange` in interface `IPropertyChange`
  Overrides:
    `setActionClassForPropertyChange` in class `FPanel`

### setActionClassForTreeExpansion

    public void setActionClassForTreeExpansion(String actionClassName)

  Description copied from interface: `ITreeExpansion`
  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein TreeExpansionEvent ausgeloest wurde.

  Specified by:
    `setActionClassForTreeExpansion` in interface `ITreeExpansion`
  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer TreeExpansionEvent.

### setActionClassForTreeSelection

    public void setActionClassForTreeSelection(String actionClassName)

  Description copied from interface: `ITreeSelection`
  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein TreeSelectionEvent ausgeloest wurde.

  Specified by:
    `setActionClassForTreeSelection` in interface `ITreeSelection`
  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer TreeSelectionEvent.

### setActionClassForTreeWillExpand

    public void setActionClassForTreeWillExpand(String actionClassName)

  Description copied from interface: `ITreeWillExpand`
  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein TreeWillExpandEvent ausgeloest wurde.

  Specified by:
    `setActionClassForTreeWillExpand` in interface `ITreeWillExpand`
  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer TreeWillExpandEvent.

### setActionClassForVetoableChange

    public void setActionClassForVetoableChange(String actionClassName)

  Description copied from interface: `IVetoableChange`
  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein VetoableChangeEvent ausgeloest wurde.

  Specified by:
    `setActionClassForVetoableChange` in interface `IVetoableChange`
  Overrides:
    `setActionClassForVetoableChange` in class `FPanel`

### addTreeSelectionListener

    public void addTreeSelectionListener(TreeSelectionListener tsl)

  Description copied from interface: `ITreeSelection`
  Fuegt dem Control den uebergebenen Listener als TreeSelectionListener hinzu.

  Specified by:
    `addTreeSelectionListener` in interface `ITreeSelection`
  Parameters:
    `tsl` - Der hinzuzufuegende TreeSelectionListener.

### removeTreeSelectionListener

    public void removeTreeSelectionListener(TreeSelectionListener tsl)

  Description copied from interface: `ITreeSelection`
  Entfernt den Listener aus dem Control.

  Specified by:
    `removeTreeSelectionListener` in interface `ITreeSelection`
  Parameters:
    `tsl` - Der zu entfernende Listener.

### addTreeExpansionListener

    public void addTreeExpansionListener(TreeExpansionListener tel)

  Description copied from interface: `ITreeExpansion`
  Fuegt dem Control den uebergebenen Listener als TreeExpansionListener hinzu.

  Specified by:
    `addTreeExpansionListener` in interface `ITreeExpansion`
  Parameters:
    `tel` - Der hinzuzufuegende TreeExpansionListener.

### addTreeWillExpandListener

    public void addTreeWillExpandListener(TreeWillExpandListener tel)

  Description copied from interface: `ITreeWillExpand`
  Fuegt dem Control den uebergebenen Listener als TreeWillExpandListener hinzu.

  Specified by:
    `addTreeWillExpandListener` in interface `ITreeWillExpand`
  Parameters:
    `tel` - Der hinzuzufuegende TreeWillExpandListener.

### removeTreeExpansionListener

    public void removeTreeExpansionListener(TreeExpansionListener tel)

  Description copied from interface: `ITreeExpansion`
  Entfernt den Listener aus dem Control.

  Specified by:
    `removeTreeExpansionListener` in interface `ITreeExpansion`
  Parameters:
    `tel` - Der zu entfernende Listener.

### removeTreeWillExpandListener

    public void removeTreeWillExpandListener(TreeWillExpandListener tel)

  Description copied from interface: `ITreeWillExpand`
  Entfernt den Listener aus dem Control.

  Specified by:
    `removeTreeWillExpandListener` in interface `ITreeWillExpand`
  Parameters:
    `tel` - Der zu entfernende Listener.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD